View Issue Details

IDProjectCategoryView StatusLast Update
0002554SOGoSOPEpublic2014-02-04 08:59
Reporterbuzzdee Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformamd64OSOpenBSDOS Version5.4-current
Product Version2.1.1b 
Target Version2.2.0Fixed in Version2.2.0 
Summary0002554: fix compilation warnings in sope-core/NGExtensions/EOExt
Description

attached patch fixes the following warnings:

EOFetchSpecification+plist.m:55:40: warning: 'EOSortOrdering' may not respond to 'initWithPropertyList:owner:'
so = [[EOSortOrdering alloc] initWithPropertyList:obj owner:nil];


EOFetchSpecification+plist.m:63:39: warning: 'EOSortOrdering' may not respond to 'initWithPropertyList:owner:'
        so = [[[EOSortOrdering alloc] initWithPropertyList:tmp owner:nil] 
               ~~~~~~~~~~~~~~~~~~~~~~ ^
2 warnings generated.
EOKeyMapDataSource.m:115:8: warning: format specifies type 'char *' but the argument has type 'id' [-Wformat]
              _object);
              ^~~~~~~
EOKeyMapDataSource.m:114:59: warning: more '%' conversions than data arguments [-Wformat]
        NSLog(@"%s: don't know how to back-map modified object: %@", 
                                                                ~^
EOKeyMapDataSource.m:268:8: warning: incompatible pointer types assigning to 'NSAutoreleasePool *' from 'NSArray *' [-Wincompatible-pointer-types]
  pool = [[NSArray alloc] init];
       ^ ~~~~~~~~~~~~~~~~~~~~~~
/usr/local/include/Foundation/NSArray.h:87:1: note: instance method 'init' is assumed to return an instance of its receiver type ('NSArray *')
- (id) init;
^
3 warnings generated.
TagsNo tags attached.

Activities

buzzdee

buzzdee

2013-12-18 01:21

reporter  

fix-warnings-in-sope-core-NGExtensions-EOExt.diff (1,152 bytes)   
$OpenBSD$
--- sope-core/NGExtensions/EOExt.subproj/EOFetchSpecification+plist.m.orig	Tue Dec 17 07:29:48 2013
+++ sope-core/NGExtensions/EOExt.subproj/EOFetchSpecification+plist.m	Tue Dec 17 07:30:14 2013
@@ -20,6 +20,7 @@
 */
 
 #include <NGExtensions/EOFetchSpecification+plist.h>
+#include <NGExtensions/EOSortOrdering+plist.h>
 #import <EOControl/EOControl.h>
 #include "common.h"
 
$OpenBSD$
--- sope-core/NGExtensions/EOExt.subproj/EOKeyMapDataSource.m.orig	Tue Dec 17 07:30:52 2013
+++ sope-core/NGExtensions/EOExt.subproj/EOKeyMapDataSource.m	Tue Dec 17 07:32:43 2013
@@ -112,7 +112,7 @@
     if ([obj isModified]) {
       if (self->map) {
 	NSLog(@"%s: don't know how to back-map modified object: %@", 
-	      _object);
+	      __PRETTY_FUNCTION__, _object);
 #if NeXT_Foundation_LIBRARY
     [self doesNotRecognizeSelector:_cmd];
     return nil; // keep compiler happy
@@ -265,7 +265,7 @@
   NSAutoreleasePool *pool;
   NSArray *a;
   
-  pool = [[NSArray alloc] init];
+  pool = [[NSAutoreleasePool alloc] init];
   a = [[NSArray alloc] initWithObjectsFromEnumerator:[self fetchEnumerator]];
   [pool release];
   return [a autorelease];
buzzdee

buzzdee

2014-01-15 13:29

reporter   ~0006396

ping

ludovic

ludovic

2014-02-04 08:59

administrator   ~0006484

https://github.com/inverse-inc/sope/commit/427d4f9260dcb701e7ed5b94c2e6333fd726e9b9

Issue History

Date Modified Username Field Change
2013-12-18 01:21 buzzdee New Issue
2013-12-18 01:21 buzzdee File Added: fix-warnings-in-sope-core-NGExtensions-EOExt.diff
2014-01-15 13:29 buzzdee Note Added: 0006396
2014-02-03 19:06 ludovic Target Version => 2.2.0
2014-02-04 08:59 ludovic Note Added: 0006484
2014-02-04 08:59 ludovic Status new => closed
2014-02-04 08:59 ludovic Assigned To => ludovic
2014-02-04 08:59 ludovic Resolution open => fixed
2014-02-04 08:59 ludovic Fixed in Version => 2.2.0